PDF::API3::Compat::API2::Resource::Font::SynFont(3)

NAME
PDF::API3::Compat::API2::Resource::Font::SynFont - Module for using synthetic Fonts.

SYNOPSIS
    #
    use PDF::API3::Compat::API2;
    #
    $pdf = PDF::API3::Compat::API2->new;
    $sft = $pdf->synfont($cft);
    #

METHODS

$font = PDF::API3::Compat::API2::Resource::Font::SynFont->new $pdf, $fontobj, %options
    Returns a synfont object.

    Valid %options are:

    -encode ... changes the encoding of the font from its default. See perl's Encode for the supported values.

    -pdfname ... changes the reference-name of the font from its default. The reference-name is normally generated automatically and can be retrived via $pdfname=$font->name.

    -slant ... slant/expansion factor (0.1-0.9 = slant, 1.1+ = expansion).

    -oblique ... italic angle (+/-)

    -bold ... embolding factor (0.1+, bold=1, heavy=2, ...).

    -space ... additional charspacing in em (0-1000).

    -caps ... create synthetic small-caps.

$font = PDF::API3::Compat::API2::Resource::Font::SynFont->new_api $api, $fontobj, %options
    Returns a synfont object. This method is different from 'new' that it needs an PDF::API3::Compat::API2-object rather than a PDF::API3::Compat::API2::PDF::File-object.

AUTHOR
alfred reibenschuh

HISTORY
    $Log: SynFont.pm,v $
    Revision 2.2  2008/08/10 14:43:08  areibens
    update dejavu to 2.25

    Revision 2.1  2007/04/18 05:26:48  areibens
    fixed unicode caos handling for some broken fonts having no unicode for a glyph

    Revision 2.0  2005/11/16 02:18:14  areibens
    revision workaround for SF cvs import not to screw up CPAN

    Revision 1.2  2005/11/16 01:27:50  areibens
    genesis2

    Revision 1.1  2005/11/16 01:19:27  areibens
    genesis

    Revision 1.17  2005/06/17 19:44:03  fredo
    fixed CPAN modulefile versioning (again)

    Revision 1.16  2005/06/17 18:53:34  fredo
    fixed CPAN modulefile versioning (dislikes cvs)

    Revision 1.14  2004/12/29 01:13:21  fredo
    documented -caps option

    Revision 1.13  2004/12/16 00:30:54  fredo
    added no warn for recursion

    Revision 1.12  2004/11/29 10:00:54  fredo
    added charspacer docs

    Revision 1.11  2004/11/26 15:14:59  fredo
    fixed docs

    Revision 1.10  2004/11/26 15:10:38  fredo
    added spacer mod option

    Revision 1.9  2004/06/15 09:14:53  fredo
    removed cr+lf

    Revision 1.8  2004/06/07 19:44:43  fredo
    cleaned out cr+lf for lf

    Revision 1.7  2004/02/10 15:55:42  fredo
    fixed glyph generation for .notdef glyphs

    Revision 1.6  2004/02/01 22:06:26  fredo
    beautified caps generation

    Revision 1.5  2004/02/01 19:27:18  fredo
    fixed width calc for caps

    Revision 1.4  2004/02/01 19:04:31  fredo
    added caps capability

    Revision 1.3  2003/12/08 13:06:01  Administrator
    corrected to proper licencing statement

    Revision 1.2  2003/11/30 17:32:48  Administrator
    merged into default

    Revision 1.1.1.1.2.2  2003/11/30 16:57:05  Administrator
    merged into default

    Revision 1.1.1.1.2.1  2003/11/30 14:45:23  Administrator
    added CVS id/log